
Ryzom - Bug # 1151

Status: Closed Priority: Normal
Author: rti Category: Tools: General
Created: 10/31/2010 Assignee: rti
Updated: 01/08/2011 Due date:
Subject: OVQT !_Pumping assert when entering settings dialog
Description

Does not happen every time. Log and backtrace created on Mac. 
Aquiles mentioned that it happens on windows too sometimes.

(gdb) r
The program being debugged has been started already.
Start it from the beginning? (y or n) y
Starting program: /Applications/object_viewer_qt.app/Contents/MacOS/object_viewer_qt 
Reading symbols for shared libraries .. done
INF 706f4c20 main.cpp 79 main <Unknown> : Welcome to NeL!
Reading symbols for shared libraries . done
DBG 706f4c20 configuration.cpp 48 init <Unknown> : CConfiguration::init
DBG 706f4c20 config_file.cpp 392 reparse <Unknown> : CF: Adding config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data/object_viewer.cfg' in the config file
INF 706f4c20 config_file.cpp 467 reparse <Unknown> : CF: RootConfigFilename variable found in the
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data/object_viewer.cfg' config file, parse the root config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data/object_vie
DBG 706f4c20 config_file.cpp 392 reparse <Unknown> : CF: Adding config file
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data/object_viewer_default.cfg' in the config file
DBG 706f4c20 main_window.cpp 61 CMainWindow <Unknown> : CMainWindow::CMainWindow:
INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH: CPath::addSearchPath(/mnt/disk_d/NEL3D/texture,
recursive, not alternative): '/mnt/disk_d/NEL3D/texture' is not a directory, I'll call addSearchFile()
WRN 706f4c20 path.cpp 1075 addSearchFile <Unknown> : PATH: CPath::addSearchFile(/mnt/disk_d/NEL3D/texture, 0, ''):
'/mnt/disk_d/NEL3D/texture' is not found, skip it (current dir is
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data'
INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH: CPath::addSearchPath(/mnt/disk_d/NEL3D/SFX/maps,
recursive, not alternative): '/mnt/disk_d/NEL3D/SFX/maps' is not a directory, I'll call addSearchFile()
WRN 706f4c20 path.cpp 1075 addSearchFile <Unknown> : PATH: CPath::addSearchFile(/mnt/disk_d/NEL3D/SFX/maps, 0,
''): '/mnt/disk_d/NEL3D/SFX/maps' is not found, skip it (current dir is
'/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/data'
INF 706f4c20 path.cpp 934 addSearchPath <Unknown> : PATH:
CPath::addSearchPath(/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures, recursive, not alternative):
'/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures' is not a directory, I'll call addSearchFile()
WRN 706f4c20 path.cpp 1075 addSearchFile <Unknown> : PATH:
CPath::addSearchFile(/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures, 0, ''):
'/mnt/disk_d/NEL3D/Database_proto/Stuff/fyros/agent/actors/_textures' is not found, skip it (current dir is
'/Users/rti/Development/ryzom/code/nel/too
DBG 706f4c20 graphics_viewport.cpp 61 init <Unknown> : CGraphicsViewport::init
DBG 706f4c20 object_viewer.cpp 72 init <Unknown> : CObjectViewert::init
DBG 706f4c20 dynloadlib.cpp 203 loadLibrary <Unknown> : Loading dynamic library '/usr/local/lib/nel/libnel_drv_opengl.so'
Reading symbols for shared libraries + done
INF 706f4c20 dru.cpp 93 createGlDriver <Unknown> : Using the library 'nel_drv_opengl' that is in the directory:
'/usr/local/lib/nel/libnel_drv_opengl.so'
2010-10-31 21:05:09.296 object_viewer_qt[46454:a0b] _createMenuRef called with existing principal MenuRef already
associated with menu
Reading symbols for shared libraries + done
Reading symbols for shared libraries + done
Reading symbols for shared libraries + done
DBG 706f4c20 driver_opengl_extension.cpp 1233 registerGlExtensions <Unknown> : 3D: Available OpenGL Extensions:
3D:     GL_ARB_transpose_matrix GL_ARB_vertex_program GL_ARB_vertex_blend GL_ARB_window_pos
GL_ARB_shader_objects 
3D:     GL_ARB_vertex_shader GL_ARB_shading_language_100 GL_EXT_multi_draw_arrays GL_EXT_clip_volume_hint
GL_EXT_rescale_normal 
3D:     GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_gpu_program_parameters GL_EXT_geometry_shader4
GL_EXT_transform_feedback 
3D:     GL_APPLE_client_storage GL_APPLE_specular_vector GL_APPLE_transform_hint GL_APPLE_packed_pixels
GL_APPLE_fence 
3D:     GL_APPLE_vertex_array_object GL_APPLE_vertex_program_evaluators GL_APPLE_element_array
GL_APPLE_flush_render GL_APPLE_aux_depth_stencil 
3D:     GL_NV_texgen_reflection GL_NV_light_max_exponent GL_IBM_rasterpos_clip GL_SGIS_generate_mipmap
GL_ARB_imaging 
3D:     GL_ARB_point_parameters GL_ARB_texture_env_crossbar GL_ARB_texture_border_clamp GL_ARB_multitexture
GL_ARB_texture_env_add 
3D:     GL_ARB_texture_cube_map GL_ARB_texture_env_dot3 GL_ARB_multisample GL_ARB_texture_env_combine
GL_ARB_texture_compression 
3D:     GL_ARB_texture_mirrored_repeat GL_ARB_shadow GL_ARB_depth_texture GL_ARB_fragment_program
GL_ARB_fragment_program_shadow 
3D:     GL_ARB_fragment_shader GL_ARB_occlusion_query GL_ARB_point_sprite GL_ARB_texture_non_power_of_two
GL_ARB_vertex_buffer_object 
3D:     GL_ARB_pixel_buffer_object GL_ARB_draw_buffers GL_ARB_shader_texture_lod GL_ARB_color_buffer_float
GL_ARB_half_float_vertex 
3D:     GL_ARB_texture_rg GL_ARB_texture_compression_rgtc GL_ARB_framebuffer_object GL_EXT_compiled_vertex_array
GL_EXT_draw_buffers2 
3D:     GL_EXT_framebuffer_object GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_texture_rectangle
GL_ARB_texture_rectangle 
3D:     GL_EXT_texture_env_add GL_EXT_blend_color GL_EXT_blend_minmax GL_EXT_blend_subtract
GL_EXT_texture_lod_bias 
3D:     GL_EXT_abgr GL_EXT_bgra GL_EXT_stencil_wrap GL_EXT_texture_filter_anisotropic GL_EXT_secondary_color 
3D:     GL_EXT_blend_func_separate GL_EXT_shadow_funcs GL_EXT_stencil_two_side GL_EXT_depth_bounds_test
GL_EXT_texture_compression_s3tc 
3D:     GL_EXT_texture_compression_dxt1 GL_EXT_texture_sRGB GL_EXT_blend_equation_separate
GL_EXT_texture_mirror_clamp GL_EXT_packed_depth_stencil 
3D:     GL_EXT_bindable_uniform GL_EXT_texture_integer GL_EXT_gpu_shader4 GL_EXT_framebuffer_sRGB
GL_EXT_provoking_vertex 
3D:     GL_APPLE_flush_buffer_range GL_APPLE_ycbcr_422 GL_APPLE_rgb_422 GL_APPLE_vertex_array_range
GL_APPLE_texture_range 
3D:     GL_APPLE_float_pixels GL_ATI_texture_float GL_ARB_texture_float GL_ARB_half_float_pixel
GL_APPLE_pixel_buffer 
3D:     GL_APPLE_object_purgeable GL_NV_point_sprite GL_NV_blend_square GL_NV_fog_distance GL_NV_depth_clamp 
3D:     GL_NV_multisample_filter_hint GL_NV_fragment_program_option GL_NV_fragment_program2
GL_NV_vertex_program2_option GL_NV_vertex_program3 
3D:     GL_NV_conditional_render GL_ATI_texture_mirror_once GL_ATI_texture_env_combine3 GL_ATI_separate_stencil
GL_SGIS_texture_edge_clamp 
3D:     GL_SGIS_texture_lod GL_EXT_texture_array GL_EXT_vertex_array_bgra GL_ARB_instanced_arrays
GL_ARB_depth_buffer_float 
3D:     GL_EXT_packed_float GL_EXT_texture_shared_exponent  
DBG 706f4c20 driver_opengl_extension.cpp 482 setupARBMultiTexture <Unknown> : 3D: OpengGL Extension
'GL_ARB_multitexture' found
DBG 706f4c20 driver_opengl_extension.cpp 537 setupARBTextureCompression <Unknown> : 3D: OpengGL Extension
'GL_ARB_texture_compression' found
DBG 706f4c20 driver_opengl_extension.cpp 555 setupARBTextureNonPowerOfTwo <Unknown> : 3D: OpengGL Extension
'GL_ARB_texture_non_power_of_two' found
DBG 706f4c20 driver_opengl_extension.cpp 601 setupEXTTextureCompressionS3TC <Unknown> : 3D: OpengGL Extension
'GL_EXT_texture_compression_s3tc' found
WRN 706f4c20 driver_opengl_extension.cpp 610 setupEXTVertexWeighting <Unknown> : 3D: OpengGL extension
'GL_EXT_vertex_weighting' was not found
WRN 706f4c20 driver_opengl_extension.cpp 624 setupEXTSeparateSpecularColor <Unknown> : 3D: OpengGL extension
'GL_EXT_separate_specular_color' was not found
WRN 706f4c20 driver_opengl_extension.cpp 633 setupNVTextureEnvCombine4 <Unknown> : 3D: OpengGL extension
'GL_NV_texture_env_combine4' was not found
DBG 706f4c20 driver_opengl_extension.cpp 685 setupARBTextureCubeMap <Unknown> : 3D: OpengGL Extension
'GL_ARB_texture_cube_map' found
DBG 706f4c20 driver_opengl_extension.cpp 702 setupNVVertexProgram <Unknown> : 3D: OpengGL Extension
'GL_NV_vertex_program' found
WRN 706f4c20 driver_opengl_extension.cpp 703 setupNVVertexProgram <Unknown> : 3D:
GetProcAddress("glAreProgramsResidentNV") returns NULL
WRN 706f4c20 driver_opengl_extension.cpp 774 setupEXTVertexShader <Unknown> : 3D: OpengGL extension
'GL_EXT_vertex_shader' was not found
DBG 706f4c20 driver_opengl_extension.cpp 1077 setupARBVertexProgram <Unknown> : 3D: OpengGL Extension
'GL_ARB_vertex_program' found
WRN 706f4c20 driver_opengl_extension.cpp 915 setupNVTextureShader <Unknown> : 3D: OpengGL extension
'GL_NV_texture_shader' was not found
WRN 706f4c20 driver_opengl_extension.cpp 666 setupATIEnvMapBumpMap <Unknown> : 3D: OpengGL extension
'GL_ATI_envmap_bumpmap' was not found
WRN 706f4c20 driver_opengl_extension.cpp 990 setupATIFragmentShader <Unknown> : 3D: OpengGL extension
'GL_ATI_fragment_shader' was not found
DBG 706f4c20 driver_opengl_extension.cpp 1027 setupARBFragmentProgram <Unknown> : 3D: OpengGL Extension
'GL_ARB_fragment_program' found
DBG 706f4c20 driver_opengl_extension.cpp 848 setupEXTSecondaryColor <Unknown> : 3D: OpengGL Extension
'GL_EXT_secondary_color' found
DBG 706f4c20 driver_opengl_extension.cpp 924 setupEXTBlendColor <Unknown> : 3D: OpengGL Extension
'GL_EXT_blend_color' found
WRN 706f4c20 driver_opengl_extension.cpp 934 setupNVVertexArrayRange2 <Unknown> : 3D: OpengGL extension
'GL_NV_vertex_array_range2' was not found
WRN 706f4c20 driver_opengl_extension.cpp 1149 setupNVOcclusionQuery <Unknown> : 3D: OpengGL extension
'GL_NV_occlusion_query' was not found
WRN 706f4c20 driver_opengl_extension.cpp 1167 setupNVTextureRectangle <Unknown> : 3D: OpengGL extension
'GL_NV_texture_rectangle' was not found
DBG 706f4c20 driver_opengl_extension.cpp 1175 setupEXTTextureRectangle <Unknown> : 3D: OpengGL Extension
'GL_EXT_texture_rectangle' found
DBG 706f4c20 driver_opengl_extension.cpp 1183 setupARBTextureRectangle <Unknown> : 3D: OpengGL Extension
'GL_ARB_texture_rectangle' found
DBG 706f4c20 driver_opengl_extension.cpp 1191 setupFrameBufferObject <Unknown> : 3D: OpengGL Extension
'GL_EXT_framebuffer_object' found
DBG 706f4c20 driver_opengl_extension.cpp 1213 setupPackedDepthStencil <Unknown> : 3D: OpengGL Extension
'GL_EXT_packed_depth_stencil' found
WRN 706f4c20 driver_opengl_extension.cpp 943 setupATIVertexArrayObject <Unknown> : 3D: OpengGL extension
'GL_ATI_vertex_array_object' was not found
WRN 706f4c20 driver_opengl_extension.cpp 978 setupATIMapObjectBuffer <Unknown> : 3D: OpengGL extension
'GL_ATI_map_object_buffer' was not found
WRN 706f4c20 driver_opengl_extension.cpp 1014 setupATIVertexAttribArrayObject <Unknown> : 3D: OpengGL extension
'GL_ATI_vertex_attrib_array_object' was not found
DBG 706f4c20 driver_opengl_extension.cpp 649 setupATITextureEnvCombine3 <Unknown> : 3D: OpengGL Extension
'GL_ATI_texture_env_combine3' found
DBG 706f4c20 driver_opengl_extension.cpp 1027 setupARBFragmentProgram <Unknown> : 3D: OpengGL Extension
'GL_ARB_fragment_program' found
DBG 706f4c20 driver_opengl_extension.cpp 1056 setupARBVertexBufferObject <Unknown> : 3D: OpengGL Extension
'GL_ARB_vertex_buffer_object' found
DBG 706f4c20 driver_opengl_extension.cpp 702 setupNVVertexProgram <Unknown> : 3D: OpengGL Extension
'GL_NV_vertex_program' found
WRN 706f4c20 driver_opengl_extension.cpp 703 setupNVVertexProgram <Unknown> : 3D:
GetProcAddress("glAreProgramsResidentNV") returns NULL
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D: OpenGL version 1.2 or above(*); ATI9500 or better;
Available extensions:
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D:   Texturing: ARBMultiTexture EXTTextureEnvCombine(*)
ARBTextureCompression EXTTextureCompressionS3TC ATITextureEnvCombine3 ARBTextureCubeMap
EXTTextureRectangle ARBTextureRectangle ARBTextureNonPowerOfTwo texture stages(*) = 4
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D:   Programs:  ARBFragmentProgram ARBVertexProgram 
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D:   Misc:      EXTSecondaryColor EXTBlendColor
NVStateVARWithoutFlush 
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D:   Array/VBO: ARBVertexBufferObject 
INF 706f4c20 driver_opengl.cpp 361 setupDisplay <Unknown> : 3D:   FBO:       FramebufferObject PackedDepthStencil 
INF 706f4c20 driver_opengl_vertex.cpp 1665 initVertexBufferHard <Unknown> : 3D: 4294967295 vertices supported
INF 706f4c20 driver_opengl_vertex.cpp 1666 initVertexBufferHard <Unknown> : 3D: Success to allocate 16.8 Mo of AGP VAR
Ram
INF 706f4c20 driver_opengl.cpp 1880 initFragmentShaders <Unknown> : WATER: Try ARB_fragment_program
INF 706f4c20 driver_opengl.cpp 1898 initFragmentShaders <Unknown> : WATER: ARB_fragment_program OK, Use it
DBG 706f4c20 sound_system.cpp 63 init <Unknown> : CSoundSystem::init
DBG 706f4c20 audio_mixer_user.cpp 352 initDriver <Unknown> : AM: Init Driver 'OpenAL' ('openal')...
DBG 706f4c20 dynloadlib.cpp 203 loadLibrary <Unknown> : Loading dynamic library '/usr/local/lib/nel/libnel_drv_openal.so'
Reading symbols for shared libraries ++ done
DBG 706f4c20 ext_al.cpp 25 alExtInit <Unknown> : AL: Initializing extensions
Reading symbols for shared libraries + done
DBG 706f4c20 sound_driver_al.cpp 245 getDevices <Unknown> : AL: ALC_ENUMERATE_ALL_EXT not present
DBG 706f4c20 audio_mixer_user.cpp 407 initDevice <Unknown> : AM: Init Device...
DBG 706f4c20 sound_driver_al.cpp 300 initDevice <Unknown> : AL: Opening device: 'NULL'
Reading symbols for shared libraries + done
Reading symbols for shared libraries . done
Reading symbols for shared libraries + done
Reading symbols for shared libraries . done
DBG 706f4c20 sound_driver_al.cpp 303 initDevice <Unknown> : AL: ALC_DEVICE_SPECIFIER: 'Built-in Output'
DBG 706f4c20 sound_driver_al.cpp 320 initDevice <Unknown> : AL: AL_VERSION: '1.1', AL_RENDERER: 'Software',
AL_VENDOR: 'Apple Computer Inc.'
DBG 706f4c20 sound_driver_al.cpp 321 initDevice <Unknown> : AL: AL_EXTENSIONS: AL_EXT_OFFSET
AL_EXT_LINEAR_DISTANCE AL_EXT_EXPONENT_DISTANCE AL_EXT_float32 AL_EXT_STATIC_BUFFER
DBG 706f4c20 ext_al.cpp 40 alExtInitDevice <Unknown> : AL: Initializing device extensions
DBG 706f4c20 sound_driver_al.cpp 331 initDevice <Unknown> : AL: EAX-RAM: Not available, ALC_EXT_EFX: Not available
DBG 706f4c20 sound_driver_al.cpp 337 initDevice <Unknown> : AL: Max. sources: 256, Max. effects: 0
WRN 706f4c20 sound_driver_al.cpp 343 initDevice <Unknown> : AL: ALC_EXT_EFX is required, environment effects disabled
WRN 706f4c20 audio_mixer_user.cpp 437 initDevice <Unknown> : AM: OptionEnvironmentEffects not available, _UseEax =
false
WRN 706f4c20 path.cpp 924 addSearchPath <Unknown> : PATH: CPath::addSearchPath(, not recursive, alternative): can't
add empty directory, skip it

08/23/2018 4/9



WRN 706f4c20 file.cpp 265 open <Unknown> : Failed to open file '/home/timon/sound/sounds.packed_sheets', error 2 : No
such file or directory
INF 706f4c20 load_form.h 878 loadForm <Unknown> : loadForm(): Loading packed file
'/home/timon/sound/sounds.packed_sheets'
INF 706f4c20 common.cpp 541 Exception <Unknown> : Exception will be launched: Read error in file
'/home/timon/sound/sounds.packed_sheets' (End of file?)
INF 706f4c20 load_form.h 943 loadForm <Unknown> : loadForm(): Exception during reading the packed file, I'll reconstruct it
(Read error in file '/home/timon/sound/sounds.packed_sheets' (End of file?))
INF 706f4c20 audio_mixer_user.cpp 570 initDevice <Unknown> : AM: Initialized audio mixer with 48 voices, WITHOUT EAX
and with 16 bits PCM sample source.
WRN 706f4c20 path.cpp 516 lookup <Unknown> : PATH: File (default.mixer_config) not found (default.mixer_config)
WRN 706f4c20 file.cpp 265 open <Unknown> : Failed to open file '/home/timon/sound/user_var_binding.packed_sheets', error
2 : No such file or directory
INF 706f4c20 load_form.h 878 loadForm <Unknown> : loadForm(): Loading packed file
'/home/timon/sound/user_var_binding.packed_sheets'
INF 706f4c20 common.cpp 541 Exception <Unknown> : Exception will be launched: Read error in file
'/home/timon/sound/user_var_binding.packed_sheets' (End of file?)
INF 706f4c20 load_form.h 943 loadForm <Unknown> : loadForm(): Exception during reading the packed file, I'll reconstruct it
(Read error in file '/home/timon/sound/user_var_binding.packed_sheets' (End of file?))
DBG 706f4c20 sound_system.cpp 204 initGraphics <Unknown> : CSoundSystem::initGraphics
DBG 706f4c20 vegetable_editor.cpp 60 init <Unknown> : CVegetableEditor::init
DBG 706f4c20 driver_opengl_texture.cpp 150 initFrameBufferObject <Unknown> : 3D:
glFramebufferRenderbufferExt(depth:24) = 8CD5
DBG 706f4c20 driver_opengl_texture.cpp 153 initFrameBufferObject <Unknown> : 3D:
glFramebufferRenderbufferExt(stencil:8) = 8CD5
AST 706f4c20 event_server.cpp 63 pump <Unknown> : "!_Pumping" 
-------------------------------

Log with no filter:
-------------------------------
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 1191 : 3D: OpengGL Extension
'GL_EXT_framebuffer_object' found
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 1213 : 3D: OpengGL Extension
'GL_EXT_packed_depth_stencil' found
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 driver_opengl_extension.cpp 943 : 3D: OpengGL extension
'GL_ATI_vertex_array_object' was not found
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 driver_opengl_extension.cpp 978 : 3D: OpengGL extension
'GL_ATI_map_object_buffer' was not found
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 driver_opengl_extension.cpp 1014 : 3D: OpengGL extension
'GL_ATI_vertex_attrib_array_object' was not found
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 649 : 3D: OpengGL Extension
'GL_ATI_texture_env_combine3' found
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 1027 : 3D: OpengGL Extension
'GL_ARB_fragment_program' found
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 1056 : 3D: OpengGL Extension
'GL_ARB_vertex_buffer_object' found
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 driver_opengl_extension.cpp 702 : 3D: OpengGL Extension
'GL_NV_vertex_program' found
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 driver_opengl_extension.cpp 703 : 3D:
GetProcAddress("glAreProgramsResidentNV") returns NULL
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D: OpenGL version 1.2 or above(*); ATI9500 or
better; Available extensions:
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D:   Texturing: ARBMultiTexture
EXTTextureEnvCombine(*) ARBTextureCompression EXTTextureCompressionS3TC ATITextureEnvCombine3
ARBTextureCubeMap EXTTextureRectangle ARBTextureRectangle ARBTextureNonPowerOfTwo texture stages(*) = 4
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D:   Programs:  ARBFragmentProgram
ARBVertexProgram 
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D:   Misc:      EXTSecondaryColor EXTBlendColor
NVStateVARWithoutFlush 
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D:   Array/VBO: ARBVertexBufferObject 
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 361 : 3D:   FBO:       FramebufferObject
PackedDepthStencil 
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl_vertex.cpp 1665 : 3D: 4294967295 vertices supported
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl_vertex.cpp 1666 : 3D: Success to allocate 16.8 Mo of AGP VAR
Ram
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 1880 : WATER: Try ARB_fragment_program
2010/10/31 21:05:09 <Unknown> INF 706f4c20 driver_opengl.cpp 1898 : WATER: ARB_fragment_program OK, Use it
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_system.cpp 63 : CSoundSystem::init
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 audio_mixer_user.cpp 352 : AM: Init Driver 'OpenAL' ('openal')...
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 dynloadlib.cpp 203 : Loading dynamic library
'/usr/local/lib/nel/libnel_drv_openal.so'
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 ext_al.cpp 25 : AL: Initializing extensions
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 245 : AL: ALC_ENUMERATE_ALL_EXT not present
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 audio_mixer_user.cpp 407 : AM: Init Device...
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 300 : AL: Opening device: 'NULL'
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 303 : AL: ALC_DEVICE_SPECIFIER: 'Built-in Output'
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 320 : AL: AL_VERSION: '1.1', AL_RENDERER:
'Software', AL_VENDOR: 'Apple Computer Inc.'
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 321 : AL: AL_EXTENSIONS: AL_EXT_OFFSET
AL_EXT_LINEAR_DISTANCE AL_EXT_EXPONENT_DISTANCE AL_EXT_float32 AL_EXT_STATIC_BUFFER
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 ext_al.cpp 40 : AL: Initializing device extensions
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 331 : AL: EAX-RAM: Not available, ALC_EXT_EFX: Not
available
2010/10/31 21:05:09 <Unknown> DBG 706f4c20 sound_driver_al.cpp 337 : AL: Max. sources: 256, Max. effects: 0
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 sound_driver_al.cpp 343 : AL: ALC_EXT_EFX is required, environment
effects disabled
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 audio_mixer_user.cpp 437 : AM: OptionEnvironmentEffects not available,
_UseEax = false
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 path.cpp 924 : PATH: CPath::addSearchPath(, not recursive, alternative):
can't add empty directory, skip it
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 file.cpp 265 : Failed to open file '/home/timon/sound/sounds.packed_sheets',
error 2 : No such file or directory
2010/10/31 21:05:09 <Unknown> INF 706f4c20 load_form.h 878 : loadForm(): Loading packed file
'/home/timon/sound/sounds.packed_sheets'
2010/10/31 21:05:09 <Unknown> INF 706f4c20 common.cpp 541 : Exception will be launched: Read error in file
'/home/timon/sound/sounds.packed_sheets' (End of file?)
2010/10/31 21:05:09 <Unknown> INF 706f4c20 load_form.h 943 : loadForm(): Exception during reading the packed file, I'll
reconstruct it (Read error in file '/home/timon/sound/sounds.packed_sheets' (End of file?))
2010/10/31 21:05:09 <Unknown> INF 706f4c20 audio_mixer_user.cpp 570 : AM: Initialized audio mixer with 48 voices,
WITHOUT EAX and with 16 bits PCM sample source.
2010/10/31 21:05:09 <Unknown> WRN 706f4c20 path.cpp 516 : PATH: File (default.mixer_config) not found
(default.mixer_config)
2010/10/31 21:05:10 <Unknown> WRN 706f4c20 file.cpp 265 : Failed to open file
'/home/timon/sound/user_var_binding.packed_sheets', error 2 : No such file or directory
2010/10/31 21:05:10 <Unknown> INF 706f4c20 load_form.h 878 : loadForm(): Loading packed file
'/home/timon/sound/user_var_binding.packed_sheets'
2010/10/31 21:05:10 <Unknown> INF 706f4c20 common.cpp 541 : Exception will be launched: Read error in file
'/home/timon/sound/user_var_binding.packed_sheets' (End of file?)
2010/10/31 21:05:10 <Unknown> INF 706f4c20 load_form.h 943 : loadForm(): Exception during reading the packed file, I'll
reconstruct it (Read error in file '/home/timon/sound/user_var_binding.packed_sheets' (End of file?))
2010/10/31 21:05:10 <Unknown> DBG 706f4c20 sound_system.cpp 204 : CSoundSystem::initGraphics
2010/10/31 21:05:10 <Unknown> DBG 706f4c20 vegetable_editor.cpp 60 : CVegetableEditor::init
2010/10/31 21:05:10 <Unknown> DBG 706f4c20 driver_opengl_texture.cpp 150 : 3D:
glFramebufferRenderbufferExt(depth:24) = 8CD5
2010/10/31 21:05:10 <Unknown> DBG 706f4c20 driver_opengl_texture.cpp 153 : 3D: glFramebufferRenderbufferExt(stencil:8)
= 8CD5
2010/10/31 21:05:20 <Unknown> AST 706f4c20 event_server.cpp 63 : "!_Pumping" 
-------------------------------

Program received signal SIGABRT, Aborted.
0x00007fff838143d6 in __kill ()
(gdb) bt
#0  0x00007fff838143d6 in __kill ()
#1  0x00007fff838b4972 in abort ()
#2  0x000000010047fd5c in NLMISC::CEventServer::pump (this=<value temporarily unavailable, due to optimizations>,
allWindows=<value temporarily unavailable, due to optimizations>) at
/Users/rti/Development/ryzom/code/nel/src/misc/event_server.cpp:63
#3  0x00000001001319ad in NLQT::CObjectViewer::updateInput (this=0x102aa2910) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/object_viewer.cpp:173
#4  0x0000000100123570 in NLQT::CMainWindow::updateRender (this=0x102aa6950) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main_window.cpp:553
#5  0x00000001001aef04 in NLQT::CMainWindow::qt_metacall (this=0x102aa6950, _c=QMetaObject::InvokeMetaMethod,
_id=0, _a=<value temporarily unavailable, due to optimizations>) at
/Users/rti/Development/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/moc_main_window.cxx:84
#6  0x000000010208d726 in QMetaObject::activate ()
#7  0x000000010216f160 in QObject::event ()
#8  0x00000001013e4ddd in QApplicationPrivate::notify_helper ()
#9  0x00000001013ebdfe in QApplication::notify ()
#10 0x0000000102086dec in QCoreApplication::notifyInternal ()
#11 0x00000001013e4e7c in qt_sendSpontaneousEvent ()
#12 0x000000010139e79c in QEventDispatcherMacPrivate::activateTimer ()
#13 0x00007fff81206678 in __CFRunLoopRun ()
#14 0x00007fff8120484f in CFRunLoopRunSpecific ()
#15 0x00007fff8831891a in RunCurrentEventLoopInMode ()
#16 0x00007fff8831867d in ReceiveNextEventCommon ()
#17 0x00007fff883185d8 in BlockUntilNextEventMatchingListInMode ()
#18 0x00007fff8636229e in _DPSNextEvent ()
#19 0x00007fff86361bed in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#20 0x0000000117509a0d in NLMISC::CCocoaEventEmitter::submitEvents (this=0x103872f28, server=@0x1030d3c08) at
/Users/rti/Development/ryzom/code/nel/src/3d/driver/opengl/mac/cocoa_event_emitter.cpp:420
#21 0x000000010047fc80 in std::_List_iterator<NLMISC::IEventEmitter*>::operator++ () at
/usr/include/c++/4.2.1/bits/stl_list.h:73
#22 0x000000010047fc80 in NLMISC::CEventServer::pump (this=0x1030d3c08, allWindows=<value temporarily unavailable,
due to optimizations>) at /Users/rti/Development/ryzom/code/nel/src/misc/event_server.cpp:74
#23 0x00000001001319ad in NLQT::CObjectViewer::updateInput (this=0x102aa2910) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/object_viewer.cpp:173
#24 0x0000000100123570 in NLQT::CMainWindow::updateRender (this=0x102aa6950) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main_window.cpp:553
#25 0x00000001001aef04 in NLQT::CMainWindow::qt_metacall (this=0x102aa6950, _c=QMetaObject::InvokeMetaMethod,
_id=0, _a=<value temporarily unavailable, due to optimizations>) at
/Users/rti/Development/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/moc_main_window.cxx:84
#26 0x000000010208d726 in QMetaObject::activate ()
#27 0x000000010216f160 in QObject::event ()
#28 0x00000001013e4ddd in QApplicationPrivate::notify_helper ()
#29 0x00000001013ebdfe in QApplication::notify ()
#30 0x0000000102086dec in QCoreApplication::notifyInternal ()
#31 0x00000001021624eb in QCoreApplicationPrivate::sendPostedEvents ()
#32 0x00007fff81206e91 in __CFRunLoopDoSources0 ()
#33 0x00007fff81205089 in __CFRunLoopRun ()
#34 0x00007fff8120484f in CFRunLoopRunSpecific ()
#35 0x00007fff8831891a in RunCurrentEventLoopInMode ()
#36 0x00007fff8831867d in ReceiveNextEventCommon ()
#37 0x00007fff883185d8 in BlockUntilNextEventMatchingListInMode ()
#38 0x00007fff8636229e in _DPSNextEvent ()
#39 0x00007fff86361bed in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#40 0x00007fff8659ced3 in -[NSApplication _realDoModalLoop:peek:] ()
#41 0x00007fff865bac9f in -[NSApplication runModalSession:] ()
#42 0x00000001013a021e in QEventDispatcherMac::processEvents ()
#43 0x0000000102160e54 in QEventLoop::processEvents ()
#44 0x0000000102161174 in QEventLoop::exec ()
#45 0x00000001018688a5 in QDialog::exec ()
#46 0x000000010012341f in NLQT::CMainWindow::settings (this=<value temporarily unavailable, due to optimizations>) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main_window.cpp:200
#47 0x00000001001aef3f in NLQT::CMainWindow::qt_metacall (this=0x102aa6950, _c=QMetaObject::InvokeMetaMethod,
_id=<value temporarily unavailable, due to optimizations>, _a=<value temporarily unavailable, due to optimizations>) at
/Users/rti/Development/ryzom/code/build/nel/tools/3d/object_viewer_qt/src/moc_main_window.cxx:81
#48 0x000000010208d726 in QMetaObject::activate ()
#49 0x00000001013de6e1 in QAction::triggered ()
#50 0x00000001013dfac4 in QAction::activate ()
#51 0x0000000101395b4a in -[QCocoaMenuLoader qtDispatcherToQAction:] ()
#52 0x00007fff864b7152 in -[NSApplication sendAction:to:from:] ()
#53 0x00007fff864db6be in -[NSMenuItem _corePerformAction] ()
#54 0x00007fff864db428 in -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] ()
#55 0x00007fff8675f41d in -[NSMenu _internalPerformActionForItemAtIndex:] ()
#56 0x00007fff86611217 in -[NSCarbonMenuImpl _carbonCommandProcessEvent:handlerCallRef:] ()
#57 0x00007fff864bdc14 in NSSLMMenuEventHandler ()
#58 0x00007fff882f1997 in DispatchEventToHandlers ()
#59 0x00007fff882f0ee6 in SendEventToEventTargetInternal ()
#60 0x00007fff8830eba9 in SendEventToEventTarget ()
#61 0x00007fff8833dcd1 in SendHICommandEvent ()
#62 0x00007fff8836ab06 in SendMenuCommandWithContextAndModifiers ()
#63 0x00007fff8836aabe in SendMenuItemSelectedEvent ()
#64 0x00007fff8836a9be in FinishMenuSelection ()
#65 0x00007fff8834bcb3 in MenuSelectCore ()
#66 0x00007fff8834b408 in _HandleMenuSelection2 ()
#67 0x00007fff8638ec39 in _NSHandleCarbonMenuEvent ()
#68 0x00007fff8636274e in _DPSNextEvent ()
#69 0x00007fff86361bed in -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] ()
#70 0x00007fff863278d3 in -[NSApplication run] ()
#71 0x00000001013a0344 in QEventDispatcherMac::processEvents ()
#72 0x0000000102160e54 in QEventLoop::processEvents ()
#73 0x0000000102161174 in QEventLoop::exec ()
#74 0x000000010216279c in QCoreApplication::exec ()
#75 0x0000000100122a67 in main (argc=1, argv=0x7fff5fbff490) at
/Users/rti/Development/ryzom/code/nel/tools/3d/object_viewer_qt/src/main.cpp:98

Related issues:
related to Ryzom - Feature # 1159: Create an object viewer qt binary app bundle Closed 11/05/2010

History
#1 - 12/12/2010 05:10 pm - rti
- Assignee set to rti

happens in GEQT as well

#2 - 12/12/2010 07:13 pm - rti
- Status changed from New to Resolved
- Target version set to Version 0.8.0
- % Done changed from 0 to 100

#3 - 01/08/2011 06:47 pm - rti
- Status changed from Resolved to Closed
